<?php

class Pushalert_WebPush_IndexController extends Mage_Core_Controller_Front_Action {

    public function indexAction() {
        $pushalert_config = Mage::getStoreConfig('admin/pushalert');
        if (!$pushalert_config['pa_wp_enabled'] || !$pushalert_config['pa_wp_https']) {
            return;
        }
        $this->getResponse()->setHeader('Content-Type', 'application/json', true);
        $gcm_sender_id = $pushalert_config['gcm_sender_id'];
        $resp = array();
        if ($gcm_sender_id != '') {
            $resp["gcm_sender_id"] = $pushalert_config['gcm_sender_id'];
        } else {
            $resp["gcm_sender_id"] = "539876079581";
        }
        $this->getResponse()->setBody(Mage::helper('core')->jsonEncode($resp));
    }

}
