<?php

class PushAlert_ServiceWorker_IndexController extends Mage_Core_Controller_Front_Action
{
    public function indexAction()
    {
        $pushalertConfig = Mage::getStoreConfig('admin/pushalert');
        $config_id = $pushalertConfig['config_id'];
        if (!$pushalertConfig['pa_wp_enabled'] || !$pushalertConfig['pa_wp_https']) {
            return;
        }
        
        $this->getResponse()->setHeader('Content-Type', 'text/javascript');
        if ($config_id != '') {
            $swUrl = 'importScripts("https://cdn.pushalert.co/sw-' . $config_id . '.js");';
        } else {
            $swUrl = '';
        }
        
        $this->getResponse()->setBody($swUrl);
    }
}